Name: ettercap
Version: 0.7.3
Release: 20%{?dist}
Summary: Network traffic sniffer/analyser, NCURSES interface version
Group: Applications/Internet
License: GPLv2+
URL: http://ettercap.sourceforge.net
Source0: http://downloads.sourceforge.net/ettercap/ettercap-NG-%{version}.tar.gz
Source1: ettercap.desktop
Source2: ettercap-README.fedora
Patch0: ettercap-NG-0.7.3-UI.patch
Patch1: ettercap-NG-0.7.3-ec_log.patch
BuildRoot: %{_tmppath}/%{name}-NG-%{version}-%{release}-root%(%{__id_u} -n)

BuildRequires: desktop-file-utils
BuildRequires: gtk2-devel
BuildRequires: ncurses-devel
BuildRequires: openssl-devel
BuildRequires: pcre-devel
#some requirements are available in fedora but not in stock epel
#build for epel requires libnet which is only available from rpmforge
%if 0%{?rhel}
BuildRequires: libnet
%if "0%{?dist}" =="0.el4"
#epel 4
BuildRequires: libtool
BuildRequires: libpcap
%else
#epel 5
BuildRequires: libtool-ltdl-devel
BuildRequires: libpcap-devel
%endif
%endif
%if 0%{?fedora}
%if "0%{?dist}" == "0.fc5"
BuildRequires: libpcap
%else
BuildRequires: libpcap-devel
%endif
BuildRequires: libnet-devel
BuildRequires: libtool-ltdl-devel
%endif
Requires: ettercap-common = %{version}-%{release}
Requires(post): %{_sbindir}/alternatives
Requires(preun): %{_sbindir}/alternatives
Obsoletes: ettercap-plugins < 0.7.3-15
Provides: ettercap-plugins = %{version}-%{release}

%description
Ettercap is a suite for man in the middle attacks on LAN. It features
sniffing of live connections, content filtering on the fly and many other
interesting tricks. It supports active and passive dissection of many
protocols (even ciphered ones) and includes many feature for network and host
analysis. 

This package contains the NCURSES version.

%package common
Summary: Common files for Ettercap, Network traffic sniffer/analyser
Group: Applications/Internet
Requires: ettercap = %{version}-%{release}

%description common
Ettercap is a suite for man in the middle attacks on LAN. It features
sniffing of live connections, content filtering on the fly and many other
interesting tricks. It supports active and passive dissection of many
protocols (even ciphered ones) and includes many feature for network and host
analysis. 

This package contains files common to both the GTK and NCURSES versions.

%package gtk
Summary: Network traffic sniffer/analyser, gtk interface version
Group: Applications/Internet
Requires: ettercap-common = %{version}-%{release}
Requires(post): %{_sbindir}/alternatives
Requires(preun): %{_sbindir}/alternatives
Provides: ettercap = %{version}-%{release}

%description gtk
Ettercap is a suite for man in the middle attacks on LAN. It features
sniffing of live connections, content filtering on the fly and many other
interesting tricks. It supports active and passive dissection of many
protocols (even ciphered ones) and includes many feature for network and host
analysis. 

This package contains the GTK version.

%prep
%setup -q -n ettercap-NG-%{version}

%patch0 -p1
%patch1 -p0

%build
%configure --enable-gtk
make %{?_smp_mflags}
cp src/ettercap src/ettercap-gtk
make clean
%configure --disable-gtk
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p  %{buildroot}%{_bindir}
make install DESTDIR=%{buildroot}
install -c -m 755 src/ettercap-gtk %{buildroot}%{_bindir}
mv %{buildroot}%{_bindir}/ettercap %{buildroot}%{_bindir}/ettercap-tui
#getting rid of libtool files potentially left behind when building plugins
rm -f %{buildroot}%{_libdir}/ettercap/*.la
mkdir -p %{buildroot}%{_docdir}
install -c -m 644 %{SOURCE2} %{buildroot}%{_docdir}
touch %{buildroot}%{_bindir}/ettercap

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir %{buildroot}%{_datadir}/applications \
  %{SOURCE1}

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 share/ettercap.png \
  %{buildroot}%{_datadir}/icons/hicolor/32x32/apps

%post
%{_sbindir}/alternatives --install  %{_bindir}/ettercap ettercap %{_bindir}/ettercap-tui 30 \
            --slave /usr/bin/ettercap-text ettercap-text /usr/bin/ettercap-tui \
            --slave  /usr/bin/ettercap-curses ettercap-curses /usr/bin/ettercap-tui

%preun
if [ "$1" = 0 ]; then
    %{_sbindir}/alternatives --remove ettercap %{_bindir}/ettercap-tui
fi

%post gtk
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%{_sbindir}/alternatives --install  %{_bindir}/ettercap ettercap %{_bindir}/ettercap-gtk 40 \
            --slave /usr/bin/ettercap-text ettercap-text /usr/bin/ettercap-gtk \
            --slave  /usr/bin/ettercap-curses ettercap-curses /usr/bin/ettercap-gtk


%preun gtk
if [ "$1" = 0 ]; then
    %{_sbindir}/alternatives --remove ettercap %{_bindir}/ettercap-gtk
fi

%postun gtk
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/ettercap-tui
%{_mandir}/man8/ettercap_curses.8.gz
%attr(0755 root root) %ghost %{_bindir}/ettercap

%files common
%defattr(-,root,root,-)
%doc LICENSE AUTHORS CHANGELOG THANKS TODO* README doc/
%{_docdir}/ettercap-README.fedora
%config(noreplace) %{_sysconfdir}/etter.conf
%{_bindir}/etterfilter
%{_bindir}/etterlog
%{_datadir}/ettercap
%{_libdir}/ettercap
%{_mandir}/man5/etter.conf.5.gz
%{_mandir}/man8/ettercap.8.gz
%{_mandir}/man8/etterfilter.8.gz
%{_mandir}/man8/etterlog.8.gz
%{_mandir}/man8/ettercap_plugins.8.gz

%files gtk
%defattr(-,root,root,-)
%{_bindir}/ettercap-gtk
%{_datadir}/applications/fedora-ettercap.desktop
%{_datadir}/icons/hicolor/32x32/apps/ettercap.png

%changelog
* Thu Aug 16 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-20
- License tag correction.
- Fixed open() in ec_log.c
* Wed Mar 28 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-19
- /usr/bin/ettercap ownership fix.
* Tue Mar 27 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-18
- Obsoletes fix.
* Mon Mar 26 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-17
- Provides/obsoletes fixes.
* Mon Mar 26 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-16
- Merged -plugins into common.
- Fixed UI patch from Till Maas.
* Sat Mar 24 2007 Manuel Wolfshant <wolfy@pcnet.ro> - 0.7.3-15
- Unified spec for epel / FC5 / FC6; build for epel is not possible until
 libnet is made available
* Fri Mar 23 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-14
- Alternatives fix by Manuel Wolfshant.
- Please run rpm -e ettercap ettercap-gtk --noscripts before upgrading.
- Bump to unified FC5 compat.
* Thu Mar 15 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-12
- Added ettercap-README.fedora
- Fixed Requires versioning.
* Thu Mar 15 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-11
- Fixed several typos, clarified a few minor things.
* Thu Mar 15 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-10
- Added doc and README.
- Replaced symlinks with alternatives solution.
* Thu Mar 15 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-9
- Removed libtool BR.
- Removed .la files.
- Moved plugins to subpackage.
- Re-added Provides to GTK package.
* Tue Mar 13 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-8
- Added libtool-ltdl-devel BR.
- Removed full path from desktop.
- Dropped provides from gtk package
* Tue Mar 13 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-7
- Fixed .desktop icon path
* Tue Mar 13 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-6
- Moved to consistent buildroot.
- Fixed BR, Rs.
* Tue Mar 13 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-5
- Removed dupes, moved symlinks for t and c to common only
- Moved desktop scriptlets to gtk package.
- Moved curses man page to curses package.
* Tue Mar 13 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-4
- Added Provides
* Tue Mar 13 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-3
- Updated BRs.
- Split out gtk and NCURSES versions from common package.
- Added UI patch from Till Maas, symlinks, .desktop, icon installation.
* Sat Mar 10 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-2
- Corrected Source URL.
* Sat Mar 10 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-1
- Initial packaging.
